<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\KursDetails\Anwesenheiten\ShowFilterAnwesenheiten;

class ShowFilterAnwesenheitenPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new ShowFilterAnwesenheitenView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new ShowFilterAnwesenheitenViewModel();
    $viewModel->sprachSettings = $this->useCaseResponse->sprachSettings;
    $viewModel->knr = $this->useCaseResponse->knr;
    $viewModel->vonDat = $this->useCaseResponse->vonDat;
    $viewModel->bisDat = $this->useCaseResponse->bisDat;

    return $viewModel;
  }
}